Legacy CHEESE API
Search Array
Search by an array of molecules based on multiple criteria.
This endpoint allows users to search by multiple molecules while choosing from several search types and additinal search parameters.
Multiple databases can be specified for the search.
Parameters:
- search_type (str): The type of search to perform.
- n_neighbors (int): The number of neighbors to consider.
- search_quality (str): The quality of the search.
- search_input (List[str]): The input molecules to search for.
- db_names (List[str]): The databases to use for the search.
- descriptors (bool): Whether to include molecular descriptors in the results (default is False).
- properties (bool): Whether to include molecular properties in the results (default is False).
- filter_molecules (bool): Whether to filter molecules based on specific criteria (default is False).
- filename (str): The name of the file to save the search results (default is "search_results").
Returns:
- A dictionary with the search results and search metadata.
Authorization
APIKeyHeader X-API-Key<token>
In: header
Query Parameters
search_type?SearchTypes
The type of search to perform
Default
"espsim_shape"Value in
- "morgan"
- "espsim_electrostatic"
- "espsim_shape"
- "synthongpt"
n_neighbors?N Neighbors
Default
30search_quality?SearchQuality
Speed/Accuracy Tradeoff
Default
"fast"Value in
- "fast"
- "accurate"
- "very_accurate"
- "100"
- "1000"
- "10000"
search_input?array<string>
Default
[ "CC(=O)Oc1ccccc1C(=O)O", "CC(=O)Oc1ccccc1C(N)=O", "CC(=O)Nc1ccccc1C(=O)O"]db_names?array<>
Selected Databases
Default
[ "CHEMINFINITA-SYNTHON"]descriptors?Descriptors
Default
falseproperties?Properties
Default
falsefilter_molecules?Filter Molecules
Default
falsefilename?Filename
Default
"search_results"format?ResponseFormat
Override the Accept header. 'json' or 'csv'.
Value in
- "json"
- "csv"
Response Body
application/json
application/json
curl -X GET "https://example.com/molsearch_array"null